ChangeSet 1.1254.4.12, 2003/06/04 12:29:53-07:00, greg@kroah.com

[PATCH] PCI: remove usage of pci_for_each_dev() in sound/core/memalloc.c


 sound/core/memalloc.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)


diff -Nru a/sound/core/memalloc.c b/sound/core/memalloc.c
--- a/sound/core/memalloc.c	Wed Jun  4 18:11:33 2003
+++ b/sound/core/memalloc.c	Wed Jun  4 18:11:33 2003
@@ -823,12 +823,12 @@
 
 static void __init preallocate_cards(void)
 {
-	struct pci_dev *pci;
+	struct pci_dev *pci = NULL;
 	int card;
 
 	card = 0;
 
-	pci_for_each_dev(pci) {
+	while ((pci = pci_find_device(PCI_ANY_ID, PCI_ANY_ID, pci)) != NULL) {
 		struct prealloc_dev *dev;
 		if (card >= SNDRV_CARDS)
 			break;
